#include <stdio.h>
#include <math.h>


double xx(double x) { return x*x;}

main(int argc, char **argv)
{
 argc--, argv++;
 const double x=atof(argv[0]);
 const double y=atof(argv[1]);
 const double x2 = xx(y-x) * 0.1 + xx(y+x) * sqrt(0.00001);
 printf("%g\n", x2);
 return 0;
}

